<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCugOwners extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
    	$this->down();

        Schema::create('cug_owners', function (Blueprint $table) {
	        $table->integer('cug_id')->index();
	        $table->integer('user_id')->unsigned()->index();
        });

	    Schema::table('cug_owners', function (Blueprint $table) {
	        $table->foreign('user_id')->references('id')->on('users');
	        $table->foreign('cug_id')->references('id')->on('cugs');
	        $table->unique(['user_id','cug_id']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cug_owners');
    }
}