<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class FrameAddAccess extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('frames', function (Blueprint $table) {
            $table->boolean('access')->default(FALSE);
	        $table->dropForeign(['cug_id']);
            $table->dropColumn('cug_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('frames', function (Blueprint $table) {
	        $table->dropColumn('access');
	        $table->integer('cug_id')->default(0);
	        $table->foreign('cug_id')->references('id')->on('cugs');
        });
    }
}